#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QMenu>
#include <QMenuBar>
#include <QFileDialog>
#include <QMessageBox>
#include <QTreeView>

#include "xmlmodel.h"


QT_BEGIN_NAMESPACE
class QAction;
class QActionGroup;
class QLabel;
class QMenu;
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow();
    ~MainWindow();

private slots:
    void contextMenu(QModelIndex index);

protected:
//    void closeEvent(QCloseEvent*);

private slots:
    void open();
    void close();

    void setDirty(bool dirty=true) { setWindowModified(dirty); }
//    void load(const QString &filename,
//                  const QStringList &taskPath=QStringList());

private:
    void createActions();
    void createMenus();

private:
    XmlModel* model;
    QTreeView* treeView;

    QMenu *fileMenu;
    QAction *openAct;
    QAction *closeAct;
    QAction *exitAct;
    QAction *makeActiveAct;
};

#endif
